Dear OpenStack users and developers,

I'm re-submitting my candidacy for a position in the OpenStack TC for the
upcoming 6 months.

I believe that being involved in many facets surrounding OpenStack makes me
a good candidate to be a member of the technical committee.

On one of the most important sides, the community:  I have spoken to countless
users, potential users of OpenStack and continue to have conversations about
why users choose OpenStack and the reason why they do not want to use it.  I
think having this external feedback is extremely beneficial in order to take
the best decisions, as those users are impacted by our very decisions.

At the same time, thinking about developers who work hard on our community
to produce the awesome technology we work on:  I have personally been one of
them and continue to be one of them.  I have started contributing to OpenStack
since 2011 across many projects and I am the current PTL for the Puppet
OpenStack team.  In addition, I continue to assist and fix any issues that I
see at hand, helping out the infrastructure team when needed as well.

Finally, one of the critical points is deployers:  I have architected, operated
and deployed our public cloud with OpenStack since 2011, in addition to many
other private cloud deployments.  Our public cloud has a long history, having
started it's life early and undergone many upgrades.  I have personally
overseen all those upgrades and brought feedback directly back to projects
as well as including bug fixes for the projects.

I believe strong leadership comes from setting an example.  With the involvement
in the community, working with the developers and being a deployer myself that
contributes back, I believe that it puts me in a unique position to understand
many parts of the equation that helps us take the best decisions in order to
have a sustainable technical future for the OpenStack projects.

I strongly believe that we have the most solid fundamental infrastructure
software at the moment.  However, I think that the focus should increase in
working with other external communities which depend on infrastructure to
increase our implementations.  For example, working with Kubernetes in order
to strengthen the cloud providers and perhaps get even more integration features
such as auto-scaling.  This will solidify OpenStack as the best set of
infrastructure services in the market.

In addition, I believe that we should put more effort and try to encourage
more work on projects which abstract existing complicated software into a
service.  The few projects that come into mind are Magnum (deploying container
orchestration services) and Sahara (big data platforms).  Those projects can
help make OpenStack a single centralized unit where users can get infrastructure
but easy access to services, on-demand, built with best practices and integrated
with the external tools as explained in the paragraph above.

As I continue from my past nomination email which I do believe strongly in, I
think that we need to work to solidify OpenStack for new use cases such as
edge computing.  By encouraging our developers to keep this new use cases for
our users, I think that we can spark a big new interest in the OpenStack
platform in general as the ideal place to host your workloads.

For me, OpenStack is a wonderful community filled with awesome people who are
all extremely supportive of each other and work together.  I am extremely
proud to be part of this wonderful community and I hope that by becoming an
elected TC, I can help the success of all OpenStack projects from my experience.

Thank you very much for taking the time to read this and I wish the best of
luck to all other candidates.

Regards,
Mohammed Naser
